## org.omg.CORBA
Class ParameterDescription

    java.lang.Object
      |
      +--org.omg.CORBA.ParameterDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ParameterDescription
extends java.lang.Object
implements IDLEntity

This structure provides all data that describe a parameter. This structure is used by the describe operation when it is applied to a parameter.

See Also:
  Serialized Form

Field Summary
`ParameterMode` `mode` Struct member mode
`java.lang.String` `name` Struct member name
`TypeCode` `type` Struct member type
`IDLType` `type_def` Struct member type_def

Constructor Summary
`ParameterDescription()` Default constructor
`ParameterDescription(java.lang.String name, TypeCode type, IDLType type_def, ParameterMode mode)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### type

    public TypeCode type

  Struct member type

### type_def

    public IDLType type_def

  Struct member type_def

### mode

    public ParameterMode mode

  Struct member mode

Constructor Detail

### ParameterDescription

    public ParameterDescription()

  Default constructor

### ParameterDescription

    public ParameterDescription(java.lang.String name,
                                TypeCode type,
                                IDLType type_def,
                                ParameterMode mode)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `type` - type struct member
    `type_def` - type_def struct member
    `mode` - mode struct member